Create a business client vaulting token
post/businesses/{fp_bid}/client_token
External ID
Request
Path parameters
fp_bid·string
Body
decrypt_reason·optional string
If the token is allowed to decrypt, provide a default decryption reason
fields·optional array of strings
List of data identifiers to which this token will have access. For example, business.name,
business.tin, custom.account_id.
Allowed values:
business.namebusiness.dbabusiness.websitebusiness.phone_numberbusiness.tinbusiness.address_line1business.address_line2business.citybusiness.statebusiness.zipbusiness.countrybusiness.corporation_typebusiness.formation_statebusiness.formation_datecustom.*scope·string
Specify the permissions of this token.
vaultallows writing to the specified fields.decryptallows decrypting the specified fields.vault_and_decryptallows both.decrypt_downloadallows decrypting a single piece of data as a file.
Allowed values:
vaultdecryptvault_and_decryptdecrypt_downloadvault_cardttl·optional integer
Time to live until this token expires, provided in seconds. Defaults to 30 minutes. Must be at least 60 seconds, at most 1 day
Response
expires_at·string
The time at which the token expires
fields·optional array of strings
The fields that this token has permissions to operate on, according to the requested scope.
Allowed values:
business.namebusiness.dbabusiness.websitebusiness.phone_numberbusiness.tinbusiness.address_line1business.address_line2business.citybusiness.statebusiness.zipbusiness.countrybusiness.corporation_typebusiness.formation_statebusiness.formation_datecustom.*token·string
The short-lived token that gives temporary access to perform operations for this business
POST /businesses/{fp_bid}/client_token
Response example
{
"expires_at": "2022-01-04T12:00-07:00",
"fields": [
"business.name",
"business.tin"
],
"token": "cttok_UxM6Vbvk2Rcy1gzcSuXgk3sj3L9I0pAnNH"
}